Last Comment Bug 742538 - Removing Filelink's from message body causes subsequent Filelink insertions to fail
: Removing Filelink's from message body causes subsequent Filelink insertions t...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Message Compose Window (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Mike Conley (:mconley) - (Away until June 29th)
:
Mentors:
Depends on: 742459
Blocks: BigFiles
  Show dependency treegraph
 
Reported: 2012-04-04 14:32 PDT by Mike Conley (:mconley) - (Away until June 29th)
Modified: 2012-04-16 12:12 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
WIP Patch v1 (7.89 KB, patch)
2012-04-05 07:35 PDT, Mike Conley (:mconley) - (Away until June 29th)
no flags Details | Diff | Review
Patch v1 (9.50 KB, patch)
2012-04-05 10:22 PDT, Mike Conley (:mconley) - (Away until June 29th)
mozilla: review+
Details | Diff | Review
Patch v2 (carrying over r+ from bienvenu) (9.55 KB, patch)
2012-04-16 09:48 PDT, Mike Conley (:mconley) - (Away until June 29th)
mozilla: approval‑comm‑aurora+
Details | Diff | Review

Description Mike Conley (:mconley) - (Away until June 29th) 2012-04-04 14:32:59 PDT
STR:

1)  In either HTML or Plaintext, create a Filelink
2)  Remove the Filelink from the message body
3)  Create another Filelink

What happens?

No Filelink gets inserted into the message body.

What's expected?

If the root/list nodes are not found in the message body, we should re-insert them.
Comment 1 Mike Conley (:mconley) - (Away until June 29th) 2012-04-05 07:35:43 PDT
Created attachment 612532 [details] [diff] [review]
WIP Patch v1
Comment 2 Mike Conley (:mconley) - (Away until June 29th) 2012-04-05 10:22:33 PDT
Created attachment 612593 [details] [diff] [review]
Patch v1
Comment 3 Mike Conley (:mconley) - (Away until June 29th) 2012-04-05 10:23:24 PDT
This patch depends on the patch for bug 742459.
Comment 4 David :Bienvenu 2012-04-05 14:26:12 PDT
Comment on attachment 612593 [details] [diff] [review]
Patch v1

very nice - my one nit would be naming the method "assertIDsFree" since "assert" in our code generally has a different meaning. Maybe clearNodeIDs? resetNodeIDs?
Comment 5 Mike Conley (:mconley) - (Away until June 29th) 2012-04-16 09:48:31 PDT
Created attachment 615364 [details] [diff] [review]
Patch v2 (carrying over r+ from bienvenu)

Thanks!  Renamed function to "_resetNodeIDs", and fixed some bitrot.

-Mike
Comment 6 Mike Conley (:mconley) - (Away until June 29th) 2012-04-16 10:01:14 PDT
Committed to comm-central as http://hg.mozilla.org/comm-central/rev/974245c3a39b
Comment 7 Mike Conley (:mconley) - (Away until June 29th) 2012-04-16 12:00:35 PDT
Committed to comm-aurora as http://hg.mozilla.org/releases/comm-aurora/rev/9a3c572d0568

Note You need to log in before you can comment on or make changes to this bug.